#
# spec file for package sketch (Version 0.6.12)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  automake blt libjpeg libnetpbm libpng libtiff libungif libz netpbm python python-devel python-imaging python-tk tcl tcl-devel tix tk xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison blt bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libnetpbm libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg netpbm pam pam-devel patch perl ps python python-devel python-imaging python-tk rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl tcl-devel texinfo textutils timezone tix tk unzip util-linux vim xdevel xf86 xshared

Name:         sketch
Copyright:    LGPL
Group:        Applications/Graphics
Provides:     sketch
Requires:     python >= 1.5.1 python-imaging
Autoreqprov:  on
Version:      0.6.12
Release:      71
Summary:      Python-based vector drawing program
URL:	      http://sketch.sourceforge.net
Source:	      sketch-%{version}.tar.bz2
Prefix:	      /usr
BuildRoot:    %{_tmppath}/%{name}-build

%description
Sketch is an interactive vector drawing program for X (similar to XFig
or tgif). It is written almost completely in Python, an object oriented
interpreted programming language.

Authors:
--------
    Bernhard Herzog <bernhard@users.sourceforge.net>

SuSE series: gra

%prep
%setup

%build
./setup.py configure --with-nls --prefix=%{prefix}
./setup.py build

%install
rm -rf $RPM_BUILD_ROOT
./setup.py install --prefix=%{prefix} --dest-dir=$RPM_BUILD_ROOT
mv Pax/README Pax/README.pax
mv Pax/COPYING Pax/COPYING.pax
mv Filter/COPYING Filter/COPYING.filter
mv Filter/README Filter/README.filter

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Examples Doc
%doc README INSTALL BUGS CREDITS COPYING TODO PROJECTS FAQ NEWS
%doc Pax/{README,COPYING}.pax Pax/COPYING.xext Filter/{README,COPYING}.filter
%{prefix}/lib/sketch-%{version}
%{prefix}/bin/sk2ps
%{prefix}/bin/sketch
%{prefix}/bin/skshow

%changelog -n sketch
* Thu Jul 26 2001 - cihlar@suse.cz
- updated to version 0.6.12
- added BuildRoot
* Tue Jun 05 2001 - cihlar@suse.cz
- updated to version 0.6.10
* Mon Mar 12 2001 - cihlar@suse.cz
- updated to version 0.6.9
* Fri Dec 08 2000 - cihlar@suse.cz
- fixed Requires
- fixed to work with new python
* Thu Nov 30 2000 - cihlar@suse.cz
- fixed to compile
* Thu Nov 30 2000 - ro@suse.de
- neededforbuild libnetpb -> libnetpbm
* Wed Nov 29 2000 - ro@suse.de
- changed neededforbuild <tcld> to <tcl-devel>
* Wed Nov 22 2000 - cihlar@suse.cz
- fixed to compile
* Tue Nov 21 2000 - ro@suse.de
- fixed neededforbuild
* Thu Nov 02 2000 - cihlar@suse.cz
- update to version 0.6.8
- bzipped sources
- fixed #neededforbuild
* Thu Jun 22 2000 - kasal@suse.cz
- initial release, thanks to Marius Tomaschewski for preparing
  the rpm
